#import "CoreAnimationViewController.h"

@implementation CoreAnimationViewController

-(void)viewDidLoad
{
  NSMutableArray *temp = [NSMutableArray array];
  [temp addObject:[UIColor whiteColor]];
  [temp addObject:[UIColor greenColor]];
  [temp addObject:[UIColor blueColor]];
  [temp addObject:[UIColor blackColor]];
  colors = [temp retain];
  index = 0;
}

- (IBAction)run:(id)sender;
{
  ++index;
  if (index >= [colors count]) {
    index = 0;
  }
  
  UIColor *newColor = [colors objectAtIndex:index];
  
  [UIView beginAnimations:@"backgroundChange" context:nil];
  
  [drawView setBackgroundColor:newColor];
  CGPoint center = [drawView center];
  center.x = 160 + (index * 5);
  center.y = 240 + (index * 5);
  [drawView setCenter:center];
  
  [UIView commitAnimations];
}

- (void)dealloc 
{
  [colors release], colors = nil;
  [super dealloc];
}

@end
