#import "StarStepsAppDelegate.h"

@implementation StarStepsAppDelegate

@synthesize window;
@synthesize drawButton;
@synthesize textLabel;

- (void)applicationDidFinishLaunching:(UIApplication *)application 
{
  [window makeKeyAndVisible];
  [textLabel setCenter:CGPointMake(160.0f, 100.0f)];
}

- (void)dealloc 
{
  [window release];
  [super dealloc];
}

- (IBAction)drawStar:(id)sender;
{
  NSLog(@"%@:%s fired", [self class], _cmd);
  [drawButton setEnabled:NO];
  CGMutablePathRef starPath = CGPathCreateMutable();
  CGPathMoveToPoint(starPath,NULL,160.0f, 100.0f);
  CGPathAddLineToPoint(starPath, NULL, 100.0f, 280.0f);
  CGPathAddLineToPoint(starPath, NULL, 260.0, 170.0);
  CGPathAddLineToPoint(starPath, NULL, 60.0, 170.0);
  CGPathAddLineToPoint(starPath, NULL, 220.0, 280.0);
  CGPathCloseSubpath(starPath);
  
  CAKeyframeAnimation *animation = nil;
	animation = [CAKeyframeAnimation animationWithKeyPath:@"position"];
	[animation setDuration:10.0f];
	[animation setDelegate:self];
  [animation setPath:starPath];
  CFRelease(starPath), starPath = nil;
  [[textLabel layer] addAnimation:animation forKey:@"position"];
}

- (void)animationDidStop:(CAAnimation *)theAnimation finished:(BOOL)flag
{
  [drawButton setEnabled:YES];
}

@end