#import "TableViewAppDelegate.h"
#import "TableViewController.h"

@interface TableViewAppDelegate() 

- (UIViewController*)controllerWithTitle:(NSString*)title;

@end

@implementation TableViewAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
  window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
  
  
//  UITabBarController *tabBar = [[UITabBarController alloc] init];
//  NSMutableArray *array = [NSMutableArray array];
//  [array addObject:[self controllerWithTitle:@"One"]];
//  [array addObject:[self controllerWithTitle:@"Two"]];
//  [array addObject:[self controllerWithTitle:@"Three"]];
//  [array addObject:[self controllerWithTitle:@"Three"]];
//  [array addObject:[self controllerWithTitle:@"Three"]];
//  [array addObject:[self controllerWithTitle:@"Three"]];
//  [tabBar setViewControllers:array];
//  [window addSubview:[tabBar view]];

  TableViewController *controller = [[TableViewController alloc] init];
//  [window addSubview:[controller view]];
  
  UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:controller];
  [controller release], controller = nil;
  [window addSubview:[nav view]];
  
  [window makeKeyAndVisible];
//  UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Alert" 
//                                                  message:@"Message" 
//                                                 delegate:nil 
//                                        cancelButtonTitle:@"Cancel" 
//                                        otherButtonTitles:nil];
//  [alert show];
//  [alert autorelease];
}

- (UIViewController*)controllerWithTitle:(NSString*)title
{
  UIViewController *controller = [[UIViewController alloc] init];
  UIView *temp = [[UIView alloc] initWithFrame:CGRectZero];
  UITabBarItem *item = [[UITabBarItem alloc] initWithTabBarSystemItem:UITabBarSystemItemContacts tag:1];
  [item setTitle:title];
  [controller setTabBarItem:item];
  [controller setView:temp];
  [controller setTitle:title];
  [temp release], temp = nil;
  
  return [controller autorelease];
}


- (void)dealloc {
  [window release];
  [super dealloc];
}


@end
